-- Insert SQL Rules Here 


------ Science per population

UPDATE Building_YieldChangesPerPop
SET Yield = 0, YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_LIBRARY';

UPDATE Building_YieldChangesPerPop
SET Yield = 0, YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_PAPER_MAKER';

UPDATE Building_YieldChangesPerPop
SET Yield = 0, YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_ROYAL_LIBRARY';

UPDATE Building_YieldChangesPerPop
SET Yield = 100, YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_PUBLIC_SCHOOL';

INSERT INTO Building_YieldChangesPerPop (BuildingType, YieldType, Yield)
VALUES ('BUILDING_PALACE', 'YIELD_SCIENCE', 100);

-------- Science Modifiers

UPDATE Building_YieldModifiers
SET Yield = 0, YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_OBSERVATORY';

UPDATE Building_YieldModifiers
SET Yield = 33, YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_UNIVERSITY';

UPDATE Building_YieldModifiers
SET Yield = 33, YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_WAT';

UPDATE Building_YieldModifiers
SET Yield = 0, YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_NATIONAL_COLLEGE';

UPDATE Building_YieldModifiers
SET Yield = 50, YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_LABORATORY';

INSERT INTO Building_YieldModifiers (BuildingType, YieldType, Yield)
VALUES ('BUILDING_MILITARY_ACADEMY', 'YIELD_SCIENCE', 33);

--------- Science per building

UPDATE Building_YieldChanges
SET Yield = 8, YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_NATIONAL_COLLEGE';

UPDATE Building_YieldChanges
SET Yield = 1
WHERE YieldType = 'YIELD_SCIENCE' AND BuildingType = 'BUILDING_MAYA_PYRAMID';

INSERT INTO Building_YieldChanges (BuildingType, YieldType, Yield)
VALUES ('BUILDING_OBSERVATORY', 'YIELD_SCIENCE', 4);

INSERT INTO Building_YieldChanges (BuildingType, YieldType, Yield)
VALUES ('BUILDING_LIBRARY', 'YIELD_SCIENCE', 2);

INSERT INTO Building_YieldChanges (BuildingType, YieldType, Yield)
VALUES ('BUILDING_PAPER_MAKER', 'YIELD_SCIENCE', 2);

INSERT INTO Building_YieldChanges (BuildingType, YieldType, Yield)
VALUES ('BUILDING_ROYAL_LIBRARY', 'YIELD_SCIENCE', 2);

INSERT INTO Building_YieldChanges (BuildingType, YieldType, Yield)
VALUES ('BUILDING_UNIVERSITY', 'YIELD_SCIENCE', 3);

INSERT INTO Building_YieldChanges (BuildingType, YieldType, Yield)
VALUES ('BUILDING_WAT', 'YIELD_SCIENCE', 3);

--------- Science per feature

UPDATE Building_FeatureYieldChanges
SET Yield = 0, FeatureType = 'FEATURE_JUNGLE', YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_UNIVERSITY';

UPDATE Building_FeatureYieldChanges
SET Yield = 0, FeatureType = 'FEATURE_JUNGLE', YieldType = 'YIELD_SCIENCE'
WHERE BuildingType = 'BUILDING_WAT';

---------- Science per resource

INSERT INTO Building_ResourceYieldChanges (BuildingType, ResourceType, YieldType, Yield)
VALUES ('BUILDING_LABORATORY', 'RESOURCE_OIL', 'YIELD_SCIENCE', 3);

INSERT INTO Building_ResourceYieldChanges (BuildingType, ResourceType, YieldType, Yield)
VALUES ('BUILDING_LABORATORY', 'RESOURCE_COAL', 'YIELD_SCIENCE', 3);

INSERT INTO Building_ResourceYieldChanges (BuildingType, ResourceType, YieldType, Yield)
VALUES ('BUILDING_LABORATORY', 'RESOURCE_ALUMINUM', 'YIELD_SCIENCE', 3);

INSERT INTO Building_ResourceYieldChanges (BuildingType, ResourceType, YieldType, Yield)
VALUES ('BUILDING_LABORATORY', 'RESOURCE_URANIUM', 'YIELD_SCIENCE', 3);

---------- Research Agreement modifier

UPDATE Buildings
SET MedianTechPercentChange = 25
WHERE Type = 'BUILDING_NATIONAL_COLLEGE';

---------- Scientists per building

UPDATE Buildings
SET SpecialistType = 'SPECIALIST_SCIENTIST', SpecialistCount = 0
WHERE BuildingClass = 'BUILDINGCLASS_LIBRARY';

UPDATE Buildings
SET SpecialistType = 'SPECIALIST_SCIENTIST', SpecialistCount = 1
WHERE BuildingClass = 'BUILDINGCLASS_UNIVERSITY';

UPDATE Buildings
SET SpecialistType = 'SPECIALIST_SCIENTIST', SpecialistCount = 2
WHERE BuildingClass = 'BUILDINGCLASS_OBSERVATORY';

UPDATE Buildings
SET SpecialistType = 'SPECIALIST_SCIENTIST', SpecialistCount = 1
WHERE BuildingClass = 'BUILDINGCLASS_PUBLIC_SCHOOL';

UPDATE Buildings
SET SpecialistType = 'SPECIALIST_SCIENTIST', SpecialistCount = 2
WHERE BuildingClass = 'BUILDINGCLASS_LABORATORY';

--------- Great Scientist rate change

UPDATE Buildings
SET SpecialistType = 'SPECIALIST_SCIENTIST', GreatPeopleRateChange = 1
WHERE BuildingClass = 'BUILDINGCLASS_LIBRARY';


-------- Science per Great Works

CREATE TABLE Building_YieldChangesPerGreatWorks (BuildingType, YieldType, Yield);

INSERT INTO Building_YieldChangesPerGreatWorks (BuildingType, YieldType, Yield)
VALUES ('BUILDING_LIBRARY', 'YIELD_SCIENCE', 2);

INSERT INTO Building_YieldChangesPerGreatWorks (BuildingType, YieldType, Yield)
VALUES ('BUILDING_PAPER_MAKER', 'YIELD_SCIENCE', 2);

INSERT INTO Building_YieldChangesPerGreatWorks (BuildingType, YieldType, Yield)
VALUES ('BUILDING_ROYAL_LIBRARY', 'YIELD_SCIENCE', 2);

-------- Science per specialist only in this city

CREATE TABLE Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_UNIVERSITY', 'SPECIALIST_ENGINEER', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_UNIVERSITY', 'SPECIALIST_SCIENTIST', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_UNIVERSITY', 'SPECIALIST_MERCHANT', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_UNIVERSITY', 'SPECIALIST_ARTIST', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_UNIVERSITY', 'SPECIALIST_WRITER', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_UNIVERSITY', 'SPECIALIST_MUSICIAN', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_WAT', 'SPECIALIST_ENGINEER', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_WAT', 'SPECIALIST_SCIENTIST', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_WAT', 'SPECIALIST_MERCHANT', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_WAT', 'SPECIALIST_ARTIST', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_WAT', 'SPECIALIST_WRITER', 'YIELD_SCIENCE', 1);

INSERT INTO Building_LocalSpecialistYieldChanges (BuildingType, SpecialistType, YieldType, Yield)
VALUES ('BUILDING_WAT', 'SPECIALIST_MUSICIAN', 'YIELD_SCIENCE', 1);

--------Delete prerequisite building

DELETE FROM Building_ClassesNeededInCity
WHERE BuildingType = 'BUILDING_UNIVERSITY';

DELETE FROM Building_ClassesNeededInCity
WHERE BuildingType = 'BUILDING_WAT';

DELETE FROM Building_ClassesNeededInCity
WHERE BuildingType = 'BUILDING_PUBLIC_SCHOOL';

DELETE FROM Building_ClassesNeededInCity
WHERE BuildingType = 'BUILDING_LABORATORY';

-------- Public School and Military Academy are mutually exclusive

UPDATE Buildings
SET MutuallyExclusiveGroup = 2
WHERE Type = 'BUILDING_PUBLIC_SCHOOL';

UPDATE Buildings
SET MutuallyExclusiveGroup = 2
WHERE Type = 'BUILDING_MILITARY_ACADEMY';


-------- Public School and laboratory cost in money

UPDATE Buildings
SET HurryCostModifier = 25
WHERE Type = 'BUILDING_PUBLIC_SCHOOL';

UPDATE Buildings
SET HurryCostModifier = 25
WHERE Type = 'BUILDING_LABORATORY';


-------- Observatories in limited number

UPDATE BuildingClasses
Set MaxPlayerInstances = 3
WHERE Type ='BUILDINGCLASS_OBSERVATORY';
