-- Insert SQL Rules Here 


---- Secularism nerfed

UPDATE Policy_SpecialistExtraYields
SET Yield = 1
WHERE PolicyType = 'POLICY_SECULARISM';


---- Exploration Opener : Science when discovering sea tiles 

ALTER TABLE Policies 
ADD ScienceFromSeaDiscovery INTEGER DEFAULT 0;

UPDATE Policies
SET ScienceFromSeaDiscovery = 3         
WHERE Type = 'POLICY_EXPLORATION';


----- Militarism (autocracy) : +17% science modifier for Military academies


INSERT INTO Policy_BuildingClassYieldModifiers (PolicyType, BuildingClassType, YieldType, YieldMod)
VALUES ('POLICY_MILITARISM', 'BUILDINGCLASS_MILITARY_ACADEMY', 'YIELD_SCIENCE', 17);


----- Free Unit for Honor Opening

UPDATE Policies
SET IncludesOneShotFreeUnits = 1         
WHERE Type = 'POLICY_HONOR';

UPDATE Policies
SET BaseFreeUnits = 1         
WHERE Type = 'POLICY_HONOR';

INSERT INTO Policy_FreeUnitClasses (PolicyType, UnitClassType, Count)
VALUES ('POLICY_HONOR', 'UNITCLASS_ARCHER',1);


------ Buying Revolutionnary Heroes with liberty finisher

--In the source code

------ Remove happiness from aristocracy

UPDATE Policies
SET HappinessPerXPopulation = 0
WHERE Type = 'POLICY_ARISTOCRACY';

------ Improve Republic, Mandate of Heaven,Patronage

UPDATE Policies
SET BuildingProductionModifier = 10
WHERE Type = 'POLICY_REPUBLIC';

--UPDATE Policies
--SET FaithCostModifier = -30   
--WHERE Type = 'POLICY_MANDATE_OF_HEAVEN';

UPDATE Policies
SET MinorFriendshipDecayMod = -33
WHERE Type = 'POLICY_PATRONAGE';

------ Happiness and culture per buildings for Military Caste and Fine Arts

INSERT INTO Policy_BuildingClassHappiness(PolicyType,BuildingClassType,Happiness)
VALUES ('POLICY_MILITARY_CASTE', 'BUILDINGCLASS_BARRACKS',1);

INSERT INTO Policy_BuildingClassCultureChanges(PolicyType,BuildingClassType,CultureChange)
VALUES ('POLICY_MILITARY_CASTE', 'BUILDINGCLASS_CASTLE',3);

UPDATE Policies
SET HappinessPerGarrisonedUnit = 0
WHERE Type = 'POLICY_MILITARY_CASTE';

UPDATE Policies
SET CulturePerGarrisonedUnit = 0
WHERE Type = 'POLICY_MILITARY_CASTE';

INSERT INTO Policy_BuildingClassHappiness(PolicyType,BuildingClassType,Happiness)
VALUES ('POLICY_FINE_ARTS', 'BUILDINGCLASS_WRITERS_GUILD',3);

INSERT INTO Policy_BuildingClassHappiness(PolicyType,BuildingClassType,Happiness)
VALUES ('POLICY_FINE_ARTS', 'BUILDINGCLASS_MUSICIANS_GUILD',3);

INSERT INTO Policy_BuildingClassHappiness(PolicyType,BuildingClassType,Happiness)
VALUES ('POLICY_FINE_ARTS', 'BUILDINGCLASS_ARTISTS_GUILD',3);

------ Discipline buff

UPDATE UnitPromotions
SET AdjacentMod = 20
WHERE Type = 'PROMOTION_ADJACENT_BONUS';

------ Science per Great Works
INSERT INTO Policy_GreatWorkYieldChanges (PolicyType, YieldType, Yield)
VALUES ('POLICY_CULTURAL_CENTERS', 'YIELD_SCIENCE', 1);

------ Science per Religion

CREATE TABLE Policy_YieldPerReligion (PolicyType VARCHAR(255), YieldType VARCHAR(255), Yield INTEGER);

INSERT INTO Policy_YieldPerReligion (PolicyType, YieldType, Yield)
VALUES ('POLICY_FREE_RELIGION', 'YIELD_SCIENCE', 1);

------ Faith when opening piety

CREATE TABLE Policy_OneTimeYield (PolicyType VARCHAR(255), YieldType VARCHAR(255), Yield INTEGER);

INSERT INTO Policy_OneTimeYield (PolicyType, YieldType, Yield)
VALUES ('POLICY_PIETY', 'YIELD_FAITH', 10);

------ Deportation

ALTER TABLE Policies
ADD Deportation INTEGER DEFAULT 0;

UPDATE Policies
SET Deportation = 1
WHERE Type = 'POLICY_MILITARY_CASTE';

------ Free spies

ALTER TABLE Policies
ADD FreeSpiesCount INTEGER DEFAULT 0;

UPDATE Policies
SET FreeSpiesCount = 1
WHERE Type = 'POLICY_PATRONAGE_FINISHER';

------ Science double with treasure fleets

CREATE TABLE Policy_TradeRouteYieldModifier (PolicyType VARCHAR(255), YieldType VARCHAR(255), YieldModifier INTEGER DEFAULT 0);

INSERT INTO Policy_TradeRouteYieldModifier(PolicyType, YieldType, YieldModifier)
VALUES ('POLICY_TREASURE_FLEETS', 'YIELD_SCIENCE', 100); 

------ Purchasing Missionaries and Inquisitors with gold

CREATE TABLE Policy_GoldPurchaseEnabled (PolicyType VARCHAR(255), UnitClassType VARCHAR(255), GoldCost INTEGER DEFAULT 0);

INSERT INTO Policy_GoldPurchaseEnabled(PolicyType, UnitClassType, GoldCost)
VALUES ('POLICY_PIETY_FINISHER', 'UNITCLASS_MISSIONARY',300);

INSERT INTO Policy_GoldPurchaseEnabled(PolicyType, UnitClassType, GoldCost)
VALUES ('POLICY_PIETY_FINISHER', 'UNITCLASS_INQUISITOR',300);

------ Weaker garrisons for tradition

UPDATE Policies
SET GarrisonedCityRangeStrikeModifier = 25
WHERE Type = 'POLICY_OLIGARCHY';

----- Food modifier for trad finisher has been transfered to the aqueduct building

UPDATE Policies
SET CityGrowthMod = 0
WHERE Type = 'POLICY_TRADITION_FINISHER';

--- no gold reduction for mercantilism

UPDATE Policy_BuildingClassYieldChanges
SET YieldChange = 1
WHERE PolicyType ='POLICY_MERCANTILISM' AND YieldType= 'YIELD_SCIENCE';

UPDATE Policy_HurryModifiers
SET HurryCostModifier = 0
WHERE PolicyType ='POLICY_MERCANTILISM';



--- Military Tradition for military tradition

CREATE TABLE Policy_TechCategoryCostModifier(PolicyType, TechCategoryType, Modifier INTEGER DEFAULT 0);

INSERT INTO Policy_TechCategoryCostModifier (PolicyType, TechCategoryType, Modifier)
VALUES ('POLICY_MILITARY_TRADITION', 'TECH_CATEGORY_MILITARY', -10);

--- Prereq modif

INSERT INTO Policy_PrereqPolicies(PolicyType, PrereqPolicy)
VALUES ('POLICY_REFORMATION', 'POLICY_THEOCRACY');

INSERT INTO Policy_PrereqPolicies(PolicyType, PrereqPolicy)
VALUES ('POLICY_REFORMATION', 'POLICY_MANDATE_OF_HEAVEN');

--- Mutually exclusive policies (actually policies that is disabling another one)

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_TRADITION','POLICY_BRANCH_LIBERTY');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_TRADITION','POLICY_BRANCH_HONOR');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_TRADITION','POLICY_BRANCH_PIETY');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_LIBERTY','POLICY_BRANCH_TRADITION');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_LIBERTY','POLICY_BRANCH_HONOR');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_LIBERTY','POLICY_BRANCH_PIETY');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_HONOR','POLICY_BRANCH_TRADITION');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_HONOR','POLICY_BRANCH_LIBERTY');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_HONOR','POLICY_BRANCH_PIETY');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_PIETY','POLICY_BRANCH_TRADITION');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_PIETY','POLICY_BRANCH_LIBERTY');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_PIETY','POLICY_BRANCH_HONOR');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_EXPLORATION','POLICY_BRANCH_RATIONALISM');

INSERT INTO PolicyBranch_Disables(PolicyBranchType, PolicyBranchDisable)
VALUES ('POLICY_BRANCH_RATIONALISM','POLICY_BRANCH_EXPLORATION');


---- Flavors
UPDATE Policy_Flavors 
SET Flavor = 10
WHERE PolicyType ='POLICY_PIETY' AND FlavorType ='FLAVOR_RELIGION';


---- Second Capital bonuses

INSERT INTO Policy_BuildingClassCultureChanges(PolicyType,BuildingClassType,CultureChange)
VALUES ('POLICY_TRADITION','BUILDINGCLASS_SUMMER_PALACE',3);

INSERT INTO Policy_BuildingClassHappiness(PolicyType,BuildingClassType,Happiness)
VALUES ('POLICY_UNIVERSAL_HEALTHCARE_A','BUILDINGCLASS_SUMMER_PALACE',1);

INSERT INTO Policy_BuildingClassHappiness(PolicyType,BuildingClassType,Happiness)
VALUES ('POLICY_UNIVERSAL_HEALTHCARE_F','BUILDINGCLASS_SUMMER_PALACE',1);

INSERT INTO Policy_BuildingClassHappiness(PolicyType,BuildingClassType,Happiness)
VALUES ('POLICY_UNIVERSAL_HEALTHCARE_O','BUILDINGCLASS_SUMMER_PALACE',1);